suricata (1:7.0.10-1+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 1:6.0.1-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sat, 08 May 2021 12:21:01 +0000]
  * Link with libatomic on armhf too.

 -- Raspbian forward porter <root@raspbian.org>  Wed, 02 Apr 2025 22:36:49 +0000

suricata (1:7.0.10-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 26 Mar 2025 09:28:20 +0100

suricata (1:7.0.9-1) unstable; urgency=medium

  * New upstream release.
  * Bump versioned libhtp dependency to 0.5.50 or later.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 18 Mar 2025 18:15:01 +0100

suricata (1:7.0.8-2) unstable; urgency=medium

  * Drop dpkg depencency from Pre-Depends.
    Thanks to Guillem Jover for noticing this.
    Closes: #1100109
  * Use dpkg-query instead of apt-cache in debian/rules.
    Thanks to Jochen Sprickerhof for pointing this out.
    Closes: #1100051

 -- Sascha Steinbiss <satta@debian.org>  Sat, 15 Mar 2025 14:37:24 +0100

suricata (1:7.0.8-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 13 Dec 2024 09:29:46 +0100

suricata (1:7.0.7-1) unstable; urgency=medium

  * New upstream release.
  * Bump versioned libhtp dependency to 0.5.49 or later.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 14 Oct 2024 10:48:09 +0200

suricata (1:7.0.6-1) unstable; urgency=medium

  * New upstream release.
  * Re-enable tests.
  * Bump copyright date for debian/ directory.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 27 Jun 2024 14:29:40 +0200

suricata (1:7.0.5-2) unstable; urgency=medium

  * Disable tests that need builds for now.
    Meant to remove one of the roadblocks towards testing migration.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 24 Apr 2024 23:01:32 +0200

suricata (1:7.0.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump versioned libhtp dependency to 0.5.48 or later.
  * Remove (probably buggy) Rust constraint from d/rules.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 23 Apr 2024 15:12:33 +0200

suricata (1:7.0.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump versioned libhtp dependency to 0.5.47 or later.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 20 Mar 2024 13:41:22 +0100

suricata (1:7.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 08 Feb 2024 23:22:40 +0100

suricata (1:7.0.2-2) unstable; urgency=medium

  * Enable DPDK feature and add dependencies on archs that support it.
    Closes: #1061762

 -- Sascha Steinbiss <satta@debian.org>  Fri, 02 Feb 2024 20:35:20 +0100

suricata (1:7.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 19 Oct 2023 19:30:48 +0200

suricata (1:7.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 15 Sep 2023 21:18:47 +0200

suricata (1:7.0.0-2) unstable; urgency=medium

  * Fix FTBFS on armel and mipsel by fixing -latomic addition in LDFLAGS.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 20 Jul 2023 11:03:07 +0200

suricata (1:7.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop Arturo Borrero Gonzalez from Uploaders at his request.
  * Use new project website at suricata.io.
  * Remove patches applied upstream.
  * Change PCRE lib dependency to libpcre2.
  * Bump versioned libhtp dependency to 0.5.45 or later.
  * Bump versioned Rust dependency to 1.61 or later.
  * Bump watchfile to version 4.
  * Remove obsolete dependency on lsb-base.
  * Remove obsolete entries in d/copyright.
  * Remove versions in Conflicts/Replaces.
  * Remove obsolete dh_strip override.
  * Bump d/copyright dates.
  * Update/fix Lintian overrides regarding eBPF file distribution.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 19 Jul 2023 10:14:37 +0200

suricata (1:6.0.13-1) unstable; urgency=medium

  * New upstream release.
  * Raise libhtp minimum dependency version to 0.5.44.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 15 Jun 2023 23:45:03 +0200

suricata (1:6.0.12-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 09 May 2023 15:58:02 +0200

suricata (1:6.0.11-1) unstable; urgency=medium

  * New upstream release.
  * Raise libhtp minimum dependency version to 0.5.43.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 13 Apr 2023 23:53:02 +0200

suricata (1:6.0.10-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch applied upstream.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 31 Jan 2023 14:34:17 +0100

suricata (1:6.0.9-1) unstable; urgency=medium

  * New upstream release.
  * Use manpages built from source instead of outdated bundled ones.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 29 Nov 2022 11:19:06 +0100

suricata (1:6.0.8-1) unstable; urgency=medium

  * New upstream release.
  * Raise libhtp minimum dependency version to 0.5.41.
  * Remove obsolete patch since Python scripts are installed differently
    via upstream now.
  * Add upstream metadata.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 27 Sep 2022 23:24:59 +0200

suricata (1:6.0.6-2) unstable; urgency=medium

  * Add patch to not use deprecated libbpf API. This prepares Suricata to be
    ready for libbpf 1.0 when it hits unstable.
    Closes: #1018914
  * Raise libbpf dependency version requirement to 0.7.
  * Refresh other patches.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 21 Sep 2022 18:39:53 +0200

suricata (1:6.0.6-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch applied upstream: bigendian-cidr.patch

 -- Sascha Steinbiss <satta@debian.org>  Tue, 12 Jul 2022 16:57:16 +0200

suricata (1:6.0.5-3) unstable; urgency=medium

  * Add patch to handle undefined LEVEL1_DCACHE_LINESIZE.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 01 Jun 2022 11:33:06 +0200

suricata (1:6.0.5-2) unstable; urgency=medium

  * Introduce patch to fix segfaulting autopkgtests on s390x.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 28 Apr 2022 08:51:06 +0200

suricata (1:6.0.5-1) unstable; urgency=medium

  * New upstream release.
  * Raise libhtp minimum dependency version to 0.5.40.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 21 Apr 2022 19:53:32 +0200

suricata (1:6.0.4-3) unstable; urgency=medium

  * Remove suricata-oinkmaster binary package.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 14 Dec 2021 15:24:47 +0100

suricata (1:6.0.4-2) unstable; urgency=medium

  * Raise libhtp minimum dependency version to 0.5.39.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 18 Nov 2021 22:57:47 +0100

suricata (1:6.0.4-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 18 Nov 2021 22:00:08 +0100

suricata (1:6.0.3-2) unstable; urgency=medium

  * Use 'command -v' instead of 'which' in suricata-oinkmaster cron file.
    This avoids a runtime deprecation warning on recent versions, and fixes
    piuparts cron job tests.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 30 Aug 2021 20:56:18 +0200

suricata (1:6.0.3-1) unstable; urgency=medium

  * Upload to unstable post-release.
  * Remove patch applied upstream.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 18 Aug 2021 16:33:31 +0200

suricata (1:6.0.3-1~exp2) experimental; urgency=medium

  * Also use libatomic workaround on powerpc.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 01 Jul 2021 19:44:53 +0200

suricata (1:6.0.3-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version.
  * Add Rules-Requires-Root: no.
  * Raise libhtp minimum version B-D to 0.5.38.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 30 Jun 2021 23:51:24 +0200

suricata (1:6.0.2-1~exp1) experimental; urgency=medium

  * Fix conditional variable use in d/rules.
  * New upstream release.
  * Use libhtp 0.5.37.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 11 Dec 2020 09:45:02 +0100

suricata (1:6.0.1-3) unstable; urgency=medium

  * Address CVE-2021-35063 by backporting upstream fix.
    Closes: #990835

 -- Sascha Steinbiss <satta@debian.org>  Mon, 19 Jul 2021 13:26:22 +0200

suricata (1:6.0.1-2) unstable; urgency=medium

  * Also specify explicit separate '-latomic' reference on mipsel.
    This addresses a remaining FTBFS there.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 11 Dec 2020 09:35:57 +0100

suricata (1:6.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Disable Prelude support.
    This is broken upstream, see https://redmine.openinfosecfoundation.org/issues/4065
  * Bump libhtp dependency to 0.5.36.
  * Disable suricata-update, as it is a separate package in Debian.
  * Add patches to fix builds with new Autoconf scripts.
  * Use debhelper 13.
  * Include upstream's man pages.
  * Add workaround for missing '-latomic' symbols on armel.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 08 Oct 2020 22:23:17 +0200

suricata (1:5.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Use /run instead of /var/run for pidfiles. Thanks to Michael Berg for the
    patch.
    Closes: #954435
  * Bump libhtp dependency to 0.5.33.
  * Remove nonexistent Files entries in d/copyright.
  * Use correct DEB_LDFLAGS_MAINT_APPEND in d/rules..

 -- Sascha Steinbiss <satta@debian.org>  Wed, 29 Apr 2020 09:34:49 +0200

suricata (1:5.0.2-3) unstable; urgency=medium

  * Source upload to enable testing migration.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 22 Feb 2020 12:47:50 +0100

suricata (1:5.0.2-2) unstable; urgency=medium

  * Add --allow-multiple-definition linker flag to work around FTBFS on armel.
    Closes: #951765

 -- Sascha Steinbiss <satta@debian.org>  Sat, 22 Feb 2020 12:23:52 +0100

suricata (1:5.0.2-1) unstable; urgency=medium

  * New upstream release.
    Closes: #951654
  * Add patch from upstream to build without needing if_tunnel.h.
    This avoids a potentially foreign arch build-dep for eBPF builds.
    Thanks to Eric Leblond.
  * Drop patches applied upstream.
  * Use debhelper-compat.
  * Mark autopkgtests requiring a control socket as potentially flaky.
    We cannot always predict the timing on all archs and do not want to
    use them for CI gating.
    Closes: #951721
  * Bring d/copyright up to date with current code base.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 20 Feb 2020 14:55:23 +0100

suricata (1:4.1.5-2) unstable; urgency=medium

  * Add versioned Depends on at least libhtp version used for building.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 09 Oct 2019 13:13:40 +0200

suricata (1:4.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 25 Sep 2019 10:24:50 +0200

suricata (1:4.1.4-7) unstable; urgency=medium

  * Prevent file clash with other packages writing into the Python3
    module root directory (suricata/__init__.py).
  * Add patch to make suricatactl Python3-compatible.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 18 Sep 2019 20:55:51 +0200

suricata (1:4.1.4-6) unstable; urgency=medium

  * Make Python components use Python3.
    Closes: #938603

 -- Sascha Steinbiss <satta@debian.org>  Sat, 07 Sep 2019 17:47:44 +0200

suricata (1:4.1.4-5) unstable; urgency=medium

  * Add patch to fix FTBFS on recent kernels. Thanks to Aurelien Jarno for
    pointing this out.
    Closes: #934316

 -- Sascha Steinbiss <satta@debian.org>  Mon, 12 Aug 2019 12:48:29 +0200

suricata (1:4.1.4-4) unstable; urgency=medium

  [ Hilko Bengen ]
  * Patch: add --with-ebpf-includes, point to proper include directory for
    kernel headers, fixing FTBFS on i386

  [ Sascha Steinbiss ]
  * Only build eBPF programs on archs with available dependencies.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 24 Jul 2019 10:34:25 +0200

suricata (1:4.1.4-3) unstable; urgency=medium

  * Fix cross building by including patch that addresses abuse of
    AC_CHECK_FILE. Thanks to Helmut Grohne for the patch.
    Closes: #923174
  * Enable building with eBPF support.
    Thanks to Hilko Bengen for the patch.
    Closes: #917816
  * Create temporary CARGO_HOME to allow building with new cargo
    versions when $HOME is nonexistent.
  * Make autopkgtest more robust when external resources are unavailable.
    Closes: #932463
  * Bump debhelper and compat to 12.
  * Add Pre-Depends by Lintian's suggestion.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 09 Jul 2019 16:47:49 +0200

suricata (1:4.1.4-2) unstable; urgency=medium

  * Do not install suricata-update, recommend external pkg instead.
    Closes: #924096

 -- Sascha Steinbiss <satta@debian.org>  Thu, 02 May 2019 17:15:48 +0200

suricata (1:4.1.4-1) unstable; urgency=medium

  * New upstream version 4.1.4
    - Bugs and security fixes
  * Refreshed quilt patches

 -- Pierre Chifflier <pollux@debian.org>  Wed, 01 May 2019 11:44:13 +0200

suricata (1:4.1.3-1) unstable; urgency=medium

  * New upstream version 4.1.3
  * Refreshed quilt patches

 -- Pierre Chifflier <pollux@debian.org>  Fri, 08 Mar 2019 10:24:43 +0100

suricata (1:4.1.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 09 Jan 2019 12:53:47 +0100

suricata (1:4.1.2-1) experimental; urgency=medium

  * New upstream release.
  * Add myself to uploaders.
  * Do not remove Rust vendor directory on distclean (Closes: #915154)

 -- Sascha Steinbiss <satta@debian.org>  Sun, 23 Dec 2018 10:48:27 +0000

suricata (1:4.1.0-2) experimental; urgency=medium

  * Disable Rust on armel for now (FTBFS)
  * Add liblz4-dev to build-deps to enable pcap compression
  * Update build-dependency on python:any to fix FTCBFS (Closes: #909606)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 26 Nov 2018 11:07:08 +0100

suricata (1:4.1.0-1) experimental; urgency=medium

  [ Arturo Borrero Gonzalez ]
  * libhtp: bump soname to libhtp-0.5.24-1

  [ Pierre Chifflier ]
  * New upstream version 1:4.1.0
  * Refreshed quilt patches
  * Update python code directory
  * Enable rust support (i386 and amd64 only for now)
  * Also enable Rust on ARM architectures

 -- Pierre Chifflier <pollux@debian.org>  Thu, 15 Nov 2018 13:29:23 -0800

suricata (1:4.0.6-1) unstable; urgency=medium

  * New upstream version 1:4.0.6

 -- Pierre Chifflier <pollux@debian.org>  Mon, 12 Nov 2018 09:19:39 +0100

suricata (1:4.0.5-1) unstable; urgency=medium

  [ Sascha Steinbiss ]
  * Add patches to help with cross-compiling. Thanks to Helmut Grohne
    for the patch.
    Closes: #895996
  * Add patches to fix building on ia64.
    Thanks to Jason Duerstock and Adrian Bunk for the patches.
    Closes: #890432
  * Fix spelling in debian/patches/reproducible.patch.
  * Remove obsolete X-Python-Version hint.
  * Use updated watchfile source URL with https support.
  * Remove obsolete --parallel dh parameter.
  * Use canonical Salsa Vcs-Git URL.

  [ Pierre Chifflier ]
  * New upstream version 1:4.0.5

 -- Pierre Chifflier <pollux@debian.org>  Wed, 18 Jul 2018 17:14:02 +0200

suricata (1:4.0.4-1) unstable; urgency=medium

  * [3f18cd8] d/control: refresh git URLs
  * [17da106] New upstream version 4.0.4 (Closes: #889842) fixes CVE-2018-6794
  * [00fcf17] d/compat: bump debhelper compat level to 11
  * [45dc0db] d/control: bump std-version to 4.1.3

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Wed, 14 Feb 2018 11:33:33 +0100

suricata (1:4.0.3-1) unstable; urgency=medium

  [ Sascha Steinbiss ]
  * [aece4d6] New upstream version 4.0.3
  * [c23b64f] refresh patches

  [ Arturo Borrero Gonzalez ]
  * [7f077ca] d/control: bump std-version to 4.1.2

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Wed, 13 Dec 2017 11:42:18 +0100

suricata (1:4.0.1-2) unstable; urgency=medium

  * [d9998f8] suricata-oinkmaster.conf: update ETOPEN ruleset for suricata 4.0.0
    (Closes: #882442)
  * [0beae03] suricata-oinkmaster-updater.8: fix typos
  * [6e7ae75] d/: get rid of dh --with autotools-dev

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Thu, 23 Nov 2017 13:41:09 +0100

suricata (1:4.0.1-1) unstable; urgency=medium

  * [72d28e5] d/control: upgrade std-version to 4.1.0
  * [ea1e317] d/control: upgrade std-version to 4.1.1
  * [14fea39] d/: switch to debhelper compat 10
  * [a4715b8] New upstream version 4.0.1

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Sat, 21 Oct 2017 12:09:27 +0200

suricata (1:4.0.0-5) unstable; urgency=medium

  * [392c5b2] d/t/control: allow-stderr for the internal unittest test

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Wed, 20 Sep 2017 20:27:12 +0200

suricata (1:4.0.0-4) unstable; urgency=medium

  * [93ee9030] d/control: enable libluajit-5.1-dev build-dep on mipsel
    (Closes: #873832)
  * [9527fe94] d/t/control: run suricata -u from the source tree

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Fri, 08 Sep 2017 06:06:47 +0200

suricata (1:4.0.0-3) unstable; urgency=medium

  [ Arturo Borrero Gonzalez ]
  * [aa53ce82] suricata-oinkmaster-updater.8: fix typo
  * [2d171d5a] suricata-oinkmaster-updater.8: clarify paragraph
  * [90c76777] d/rules: disable dh_auto_test
  * [5b311761] suricata: switch to use dbgsym package
  * [9b12c48d] d/control: bump std-versions to 4.0.1

  [ Sascha Steinbiss ]
  * [c353985a] enable libevent support (Closes: #872908)
  * [49ff3181] enable luajit on mipsel (Closes: #858545)

  [ Arturo Borrero Gonzalez ]
  * [50ab7eae] suricata.service: update online docs link
  * [5098fd7b] d/control: add dh-python to build-deps
  * [f070d160] d/watch: implement signature verification

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Tue, 29 Aug 2017 23:22:48 +0200

suricata (1:4.0.0-2) unstable; urgency=medium

  * [449b4202] d/t/control: running suricata unittest requires
    geoip-database installed
  * [0bd02487] d/building-in-ci.sh: be more robust
  * [edd49e4a] d/watch: more robust approach for upstream tarball generation

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Tue, 15 Aug 2017 13:45:45 +0200

suricata (1:4.0.0-1) unstable; urgency=medium

  * [636f10f] d/rules: actually use dh-systemd (Closes: #861732)
  * [c728ed0] d/rules: cleanup comments
  * [f0d9adb] suricata: switch to src:libhtp instead of the bundled one
  * [fa5f8be] New upstream version 4.0.0-rc1
  * [fac7566] suricata: remove Build-Conflict with libhtp-dev
  * [1bce782] suricata: explicit build-dep on new src:libhtp
  * [f3aec1c] d/suricata.preinst: use strict mode (Closes: #866280)
  * [c831659] suricata: support for internal unittest in autopktest
  * [557ded7] New upstream version 4.0.0
  * [5d41b6c] d/t/control: the internal suricata unittest is a command test
  * [7f4feaa] d/changelog: add missing entry for 4.0.0-beta1-1~exp1

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Fri, 28 Jul 2017 05:29:48 +0200

suricata (4.0.0-beta1-1~exp1) unstable; urgency=medium

  * [c21347df] New upstream version 4.0.0-beta1
  * [5661b3cc] libhtp: bump soname to libhtp-0.5.24-1

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Fri, 09 Jun 2017 20:52:10 +0200

suricata (3.2.1-1) unstable; urgency=medium

  [ Arturo Borrero Gonzalez ]
  * Rebuild for unstable from 3.2.1-1~exp2 (experimental).

  [ Sascha Steinbiss ]
  * [d0c3629] detect valid interface in autopkgtest
  * [2d3ae00] fix typo in service file

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Thu, 16 Mar 2017 09:04:03 +0100

suricata (3.2.1-1~exp2) experimental; urgency=medium

  [ Sascha Steinbiss ]
  * [ced48e4] suricata: migrate from old split binary scheme (Closes: #855573)

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Mon, 20 Feb 2017 13:29:37 +0100

suricata (3.2.1-1~exp1) experimental; urgency=medium

  * [67004c8] New upstream version 3.2.1
  * [05b1756] d/control: bump dependency on libhyperscan
  * [4483d1c] suricata: drop suricata-hyperscan binary package (Closes: #851647)

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Wed, 15 Feb 2017 20:54:17 +0100

suricata (3.2-2) unstable; urgency=medium

  * Rebuild for unstable.

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Tue, 10 Jan 2017 09:27:59 +0100

suricata (3.2-2~exp1) experimental; urgency=medium

  [ Sascha Steinbiss ]
  * [8c7704d] suricata: add hyperscan support (Closes: #846143)

  [ Arturo Borrero Gonzalez ]
  * [209d2cf] suricata: add remaining hyperscan support

  [ Sascha Steinbiss ]
  * [ec9b28a] set +x bit on d/suricata-hyperscan.install

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Thu, 22 Dec 2016 09:01:29 +0100

suricata (3.2-1) unstable; urgency=medium

  [ Arturo Borrero Gonzalez ]
  * [04f5cc3] d/control: update suricata homepage to suricata-ids.org
    (Closes: #844603)

  [ Sascha Steinbiss ]
  * [b1cd09c] d/t/control: add some time to settle in autopkgtest

  [ Arturo Borrero Gonzalez ]
  * [dde83f1] New upstream version 3.2
  * [c55dda2] d/patches/debian-default-cfg.patch: refresh patch

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Thu, 01 Dec 2016 16:22:50 +0100

suricata (3.1.3-3) unstable; urgency=medium

  * [e7a248d] d/tests/control: allow-stderr in the suricata-oinkmaster-updater
    command
  * [2caf89b] d/control: make libhtp packages Multi-Arch: same
  * [825cef4] d/libhtp-0.5.23-1.lintian-overrides: generalize override

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Thu, 10 Nov 2016 09:42:29 +0100

suricata (3.1.3-2) unstable; urgency=medium

  * [5c395f9] d/tests/control: rearange suricatasc command tests
  * [789723b] d/tests/control: fix typo in test command 'suricatas'
  * [353e030] d/changelog: clean word with typo from the changelog
  * [b4cf113] d/: add libhtp-0.5.23-1.lintian-overrides

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Wed, 09 Nov 2016 13:44:17 +0100

suricata (3.1.3-1) unstable; urgency=medium

  [ Arturo Borrero Gonzalez ]
  * [165d14e] suricata-oinkmaster: move the update script to /usr/sbin
    (Closes: #838129)
  * [2e21734] d/tests/control: add a basic test for suricata-oinkmaster-updater
  * [be640f3] suricata: split libhtp to separate binary packages
  * [c41567a] suricata-oinkmaster: add manpage for suricata-oinkmaster-updater
  * [b5b6483] d/copyright: refresh file
  * [2be2225] d/control: add references to IPS and firewall
  * [bd6a9ed] d/: add symbols file for libhtp
  * [f61be7d] suricata-oinkmaster-updater.8: fix typo
  * [ead4a84] d/: update email address to 'arturo@debian.org'
  * [36d9b9d] d/: refresh date of manpages

  [ Sascha Steinbiss ]
  * [da1c3c6] d/suricata.logrotate: use 'copytruncate' instead of 'create'

  [ Arturo Borrero Gonzalez ]
  * [cd9d5d4] New upstream version 3.1.3
  * [f32a582] libhtp: symbols: refresh file
  * [1e3edb0] libhtp: bump soname
  * [d46497e] d/control: suricata depends on lsb-base
  * [08a6195] d/copyright: refresh copyright owner for some libhtp files

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Tue, 08 Nov 2016 08:51:58 +0100

suricata (3.1.2-2) unstable; urgency=medium

  * [482c6f6] d/tests/control: allow-stderr for systemd-service-test.sh
  * [a4eff10] d/tests/control: add tests for suricatasc
  * [892096c] d/suricata.8: fix typo 'inet' vs 'init'

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Thu, 08 Sep 2016 12:46:44 +0200

suricata (3.1.2-1) unstable; urgency=medium

  * [4e0605d] Revert "suricata: drop support for sysvinit"
  * [f5abe38] d/patches: add reproducible.patch.
    Thanks to Christoph Berg <myon@debian.org> for the pointers.
  * [6569809] New upstream version 3.1.2
  * [5fea3a6] d/suricata.service: include Restart=on-failure
  * [d1a973d] d/suricata.service: add ProtectSystem=full and ProtectHome=true
  * [8e1cddd] d/tests/systemd-service-test.sh: don't test the reload operation by now
  * [87c00b1] d/suricata.maintscript: factorize renaming of old config file
    (Closes: #835643)
  * [55c7a32] d/oinkmaster/suricata-oinkmaster-updater: drop warnings
  * [7651669] d/oinkmaster/suricata-oinkmaster-updater: cleanup file

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Wed, 07 Sep 2016 13:25:13 +0200

suricata (3.1.1-4) unstable; urgency=medium

  * [c9b6efd] d/tests/: add new systemd-service-test.sh test
  * [848a40f] d/README.Debian: this is not a beta release
  * [0afb007] d/README.Debian: update file with systemd information
  * [234ec55] d/suricata.8: update manpage
  * [ebd6a8a] suricata: drop support for sysvinit
  * [d8fae07] d/suricata.service: get rid of environment variables
  * [5fe5359] d/suricata.service: use suricatasc for stop and reload
  * [2ffd606] d/tests/systemd-service-test.sh: add tests for daemon reload
  * [5196c36] d/suricata.service: require network-online.target (Closes:
    #835168)

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Thu, 25 Aug 2016 14:14:20 +0200

suricata (3.1.1-3) unstable; urgency=medium

  * [22d26a5] suricata-oinkmaster-updater: prevent bogus if evaluation
  * [4805c7a] suricata-oinkmaster-updater: dont exit with error if missing
    requirements (Closes: #834029)

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Tue, 16 Aug 2016 13:53:12 +0200

suricata (3.1.1-2) unstable; urgency=medium

  * [833f1c5] d/: add new binary package suricata-oinkmaster
  * [6155001] d/suricata.service: remove duplicated -D switch in
    ExecStart=
  * [6ebbd82] d/patches: add debian-default-cfg.patch [enable unix socket
    by default]
  * [2286eb4] d/suricatasc.1: update manpage

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Thu, 28 Jul 2016 13:21:30 +0200

suricata (3.1.1-1) unstable; urgency=medium

  * [cafb099] d/suricata: rename suricata main conffile to
    /etc/suricata/suricata.yaml
  * [445c957] suricata: add systemd service file
  * [94b93bf] Imported Upstream version 3.1.1

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Mon, 25 Jul 2016 11:12:03 +0200

suricata (3.1-1) unstable; urgency=medium

  * [d2cce67] d/control: add Vcs-Browser and Vcs-Git information
  * [8bb2030] Imported Upstream version 3.1

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Tue, 21 Jun 2016 11:00:55 +0200

suricata (3.0.1-2) unstable; urgency=medium

  * [178f3cf] suricata: add libgeoip support
  * [c8a0a0a] d/control: bump std-version to 3.9.8
  * [523203d] d/control: wrap-and-sort
  * [e5abae9] suricata: add hiredis support
  * [9ec82b8] d/control: get rid of XS-Testsuite directive

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Mon, 23 May 2016 11:39:40 +0200

suricata (3.0.1-1) unstable; urgency=medium

  * Imported Upstream version 3.0.1
  * Bump Standards Version to 3.9.7

 -- Pierre Chifflier <pollux@debian.org>  Fri, 08 Apr 2016 10:58:35 +0200

suricata (3.0-1) unstable; urgency=medium

  * Imported Upstream version 3.0

 -- Pierre Chifflier <pollux@debian.org>  Thu, 28 Jan 2016 06:02:41 +0100

suricata (2.0.11-1) unstable; urgency=medium

  * Imported Upstream version 2.0.11

 -- Pierre Chifflier <pollux@debian.org>  Thu, 07 Jan 2016 10:17:16 +0100

suricata (2.0.10-2) unstable; urgency=medium

  [ Arturo Borrero Gonzalez ]
  * d/copyright: update file to follow Debian Policy 3.9.6.1
  * d/control: bump standards to 3.9.6
  * suricata: add nflog support (Closes: #775074)
  * d/: wrap-and-sort
  * d/control: architecture is linux-any
  * d/rules: don't include upstream install documentation
  * d/tests: add first basic test
  * d/control: add missing Testsuite declaration
  * suritaca: add package suricata-dbg (Closes: #753438)
  * suricata sysvinit: fix libtcmalloc-minimal integration (Closes: #725249)
  * d/suricata.init: cleanup file
  * suricatasc: add manpage

  [ Pierre Chifflier ]
  * Merge unstable-next branch
  * Fix dependencies and priority for -dbg package
  * Install manpage for suricatasc

 -- Pierre Chifflier <pollux@debian.org>  Tue, 05 Jan 2016 21:02:40 +0100

suricata (2.0.10-1) unstable; urgency=medium

  * Imported Upstream version 2.0.10

 -- Pierre Chifflier <pollux@debian.org>  Thu, 26 Nov 2015 10:35:53 +0100

suricata (2.0.9-1) unstable; urgency=medium

  * Imported Upstream version 2.0.9
  * Update watch file

 -- Pierre Chifflier <pollux@debian.org>  Fri, 25 Sep 2015 19:19:53 +0200

suricata (2.0.8-1) unstable; urgency=high

  [ Arturo Borrero Gonzalez ]
  * d/suricata.logrotate: add logrotate configuration (Closes: #767249)
  * d/patches: patch suricatasc to prevent depends on python-symplejson
    (Closes: #759475)
  * Revert "d/patches: patch suricatasc to prevent depends on python-symplejson"

  [ Pierre Chifflier ]
  * Imported Upstream version 2.0.8
  * Bump Standards Version to 3.9.6
    Fixes CVE-2015-0971 (Integer overflow in the DER parser)

 -- Pierre Chifflier <pollux@debian.org>  Thu, 07 May 2015 11:03:19 +0200

suricata (2.0.7-2) unstable; urgency=medium

  [ Arturo Borrero Gonzalez ]
  * d/suricata.init: fix proc nfqueue file checking (Closes: #725301)

  [ Pierre Chifflier ]
  * Check for both proc entries for nfqueue (backwards compatibility) and
    issue warning only

 -- Pierre Chifflier <pollux@debian.org>  Sun, 15 Mar 2015 11:17:27 +0100

suricata (2.0.7-1) unstable; urgency=medium

  [ Pierre Chifflier ]
  * Imported Upstream version 2.0.7
  * Fix problems with upstream version import

 -- Pierre Chifflier <pollux@debian.org>  Thu, 12 Mar 2015 07:06:49 +0100

suricata (2.0.6-3) unstable; urgency=medium

  [ Arturo Borrero Gonzalez ]
  * suricata: don't deploy .so links

  [ Pierre Chifflier ]
  * Add missing installation files (Closes: #778724)
  * Fix .so symlinks removal
  * Update default-rules-path

 -- Pierre Chifflier <pollux@debian.org>  Thu, 19 Feb 2015 11:55:05 +0100

suricata (2.0.6-2) unstable; urgency=medium

  [ Arturo Borrero Gonzalez ]
  * d/patches: drop 10-fix-missing-script-autoreconf.patch (Closes: #778670)
  * d/rules: prevent not .so libhtp files from entering binary suricata package

  [ Pierre Chifflier ]
  * Add conflicts/replaces fields for transition from libhtp (Closes: #778668)

 -- Pierre Chifflier <pollux@debian.org>  Wed, 18 Feb 2015 11:19:31 +0100

suricata (2.0.6-1) unstable; urgency=medium

  [ Pierre Chifflier ]
  * Imported Upstream version 2.0.6
  * Add Arturo to uploaders

  [ Arturo Borrero Gonzalez ]
  * suricata: use embedded copy of libhtp (Closes: #772551)

 -- Pierre Chifflier <pollux@debian.org>  Tue, 17 Feb 2015 11:31:22 +0100

suricata (2.0.4-1) unstable; urgency=high

  * Imported Upstream version 2.0.4
  * Security: fix out-of-bounds access in SSH parser (Closes: #762828)
  * Urgency high, CVE-2014-6603
    Stable and Oldstable versions are not affected.

 -- Pierre Chifflier <pollux@debian.org>  Fri, 10 Oct 2014 13:19:59 +0200

suricata (2.0.3-1) unstable; urgency=medium

  * Imported Upstream version 2.0.3

 -- Pierre Chifflier <pollux@debian.org>  Wed, 20 Aug 2014 15:06:21 +0200

suricata (2.0.2-1) unstable; urgency=medium

  * Imported Upstream version 2.0.2

 -- Pierre Chifflier <pollux@debian.org>  Sun, 29 Jun 2014 18:27:56 +0200

suricata (2.0-1) unstable; urgency=medium

  * Imported Upstream version 2.0
  * Update build, require a recent libhtp, and disable coccinelle tests.
  * Upload to unstable

 -- Pierre Chifflier <pollux@debian.org>  Wed, 02 Apr 2014 20:23:10 +0200

suricata (1.4.7-1) unstable; urgency=low

  * Imported Upstream version 1.4.7
  * Bump Standards Version to 3.9.5
  * Run autoreconf during build to fix some errors caused by different
    autotools versions

 -- Pierre Chifflier <pollux@debian.org>  Sun, 29 Dec 2013 11:29:57 +0100

suricata (1.4.6-1) unstable; urgency=low

  * Imported Upstream version 1.4.6

 -- Pierre Chifflier <pollux@debian.org>  Sun, 06 Oct 2013 18:52:34 +0200

suricata (1.4.5-1) unstable; urgency=low

  * Imported Upstream version 1.4.5
  * Prepare transition for suricata 2.0 by conflicting with libhtp >= 0.5

 -- Pierre Chifflier <pollux@debian.org>  Tue, 20 Aug 2013 16:44:45 +0200

suricata (1.4.3-1) unstable; urgency=low

  * Imported Upstream version 1.4.3

 -- Pierre Chifflier <pollux@debian.org>  Thu, 04 Jul 2013 11:50:13 +0200

suricata (1.4.2-1) unstable; urgency=low

  * Imported Upstream version 1.4.2

 -- Pierre Chifflier <pollux@debian.org>  Wed, 29 May 2013 16:24:52 +0200

suricata (1.4.1-1) unstable; urgency=low

  * Imported Upstream version 1.4.1
  * Install python control script (add dependency on python, and use
    dh_python2 for build)
  * Bump Standards Version to 3.9.4
  * Fix removal of pid file in init script (Closes: #700547)
    Thanks to Игорь Козинов <madvampik@gmail.com>.
  * Add support for af-packet mode in init script (Closes: #697928).
    Thanks to Jamie Strandboge <jamie@ubuntu.com>.

 -- Pierre Chifflier <pollux@debian.org>  Tue, 21 May 2013 12:42:45 +0200

suricata (1.4-3) unstable; urgency=low

  * Add configure flag for luajit only on supported architectures

 -- Pierre Chifflier <pollux@debian.org>  Sat, 22 Dec 2012 16:38:41 +0100

suricata (1.4-2) unstable; urgency=low

  * Fix error in init script, stop trying to manage suricata pid file
  * Use arch-specific build dependencies for libluajit-5.1-dev, it is not
    available on all architectures

 -- Pierre Chifflier <pollux@debian.org>  Sat, 22 Dec 2012 15:39:57 +0100

suricata (1.4-1) unstable; urgency=low

  * Imported Upstream version 1.4
  * Enable Jansson and LuaJIT support, and add libjansson-dev libluajit-5.1-dev
    to build-deps
  * Add python to recommends, for the suricatasc script
  * Create /var/run/suricata directory when starting daemon

 -- Pierre Chifflier <pollux@debian.org>  Fri, 14 Dec 2012 00:02:51 +0100

suricata (1.3.5-1) unstable; urgency=low

  * Imported Upstream version 1.3.5

 -- Pierre Chifflier <pollux@debian.org>  Thu, 06 Dec 2012 21:13:56 +0100

suricata (1.3.4-1) unstable; urgency=low

  * Imported Upstream version 1.3.4

 -- Pierre Chifflier <pollux@debian.org>  Sat, 17 Nov 2012 09:56:08 +0100

suricata (1.3.3-1) unstable; urgency=low

  * Imported Upstream version 1.3.3

 -- Pierre Chifflier <pollux@debian.org>  Sat, 03 Nov 2012 09:38:36 +0100

suricata (1.3.2-1) unstable; urgency=low

  * Imported Upstream version 1.3.2

 -- Pierre Chifflier <pollux@debian.org>  Sat, 13 Oct 2012 12:18:33 +0200

suricata (1.3-1) unstable; urgency=low

  * Imported Upstream version 1.3
  * Add build-dependency on libnss3-dev and libnspr4-dev
  * Bump Standards Version to 3.9.3

 -- Pierre Chifflier <pollux@debian.org>  Sun, 22 Jul 2012 22:27:36 +0200

suricata (1.2.1-2) unstable; urgency=low

  * Use override targets in rules files (Closes: #666330)
  * Add support for parallel build in debian/rules

 -- Pierre Chifflier <pollux@debian.org>  Thu, 12 Apr 2012 01:56:48 +0200

suricata (1.2.1-1) unstable; urgency=low

  * Imported Upstream version 1.2.1
  * Add libmagic-dev to build-deps
  * Convert to DH version 9
    - Switch from hardening-wrapper to dpkg-buildflags

 -- Pierre Chifflier <pollux@debian.org>  Mon, 23 Jan 2012 21:47:26 +0100

suricata (1.1.1-2) unstable; urgency=low

  * Add *.config files to default installation
  * Trigger rebuild with libhtp versioned symbols

 -- Pierre Chifflier <pollux@debian.org>  Thu, 05 Jan 2012 08:20:24 +0100

suricata (1.1.1-1) unstable; urgency=low

  * Imported Upstream version 1.1.1
  * Add configure option --enable-af-packet

 -- Pierre Chifflier <pollux@debian.org>  Wed, 07 Dec 2011 21:52:53 +0100

suricata (1.1-1) unstable; urgency=low

  * Imported Upstream version 1.1
  * Add instructions on getting new rules using oinkmaster
  * Add Recommends on oinkmaster
  * Move snort-rules-default to Recommends

 -- Pierre Chifflier <pollux@debian.org>  Thu, 17 Nov 2011 23:20:51 +0100

suricata (1.0.5-1) unstable; urgency=low

  * Imported Upstream version 1.0.5

 -- Pierre Chifflier <pollux@debian.org>  Wed, 27 Jul 2011 08:20:25 +0200

suricata (1.0.4-1) unstable; urgency=low

  * Imported Upstream version 1.0.4
  * Bump Standards Version to 3.9.2
  * Enable hardening-wrapper

 -- Pierre Chifflier <pollux@debian.org>  Sat, 25 Jun 2011 13:45:44 +0200

suricata (1.0.3-1) unstable; urgency=low

  * Imported Upstream version 1.0.3

 -- Pierre Chifflier <pollux@debian.org>  Wed, 13 Apr 2011 16:59:32 +0200

suricata (1.0.2-2) unstable; urgency=low

  * Add init script (thanks to Edward Fjellskål)
  * Switch to dpkg-source 3.0 (quilt) format

 -- Pierre Chifflier <pollux@debian.org>  Sun, 19 Dec 2010 18:35:50 +0100

suricata (1.0.2-1) unstable; urgency=low

  * New Upstream version 1.0.2 (Closes: #598389)

 -- Pierre Chifflier <pollux@debian.org>  Wed, 29 Sep 2010 10:02:52 +0200

suricata (1.0.1-1) unstable; urgency=low

  * Imported Upstream version 1.0.1 (Closes: #591559)
  * Bump Standards version to 3.9.1
  * Create /var/log/suricata (Closes: #590861)

 -- Pierre Chifflier <pollux@debian.org>  Wed, 11 Aug 2010 14:45:14 +0200

suricata (1.0.0-1) unstable; urgency=low

  * Imported Upstream version 1.0.0
  * Remove arch=native flag from build (Closes: #587714)
  * Bump Standards version to 3.9.0

 -- Pierre Chifflier <pollux@debian.org>  Thu, 01 Jul 2010 21:28:41 +0200

suricata (0.9.2-1) unstable; urgency=low

  * Imported Upstream version 0.9.2

 -- Pierre Chifflier <pollux@debian.org>  Sat, 19 Jun 2010 17:39:14 +0200

suricata (0.9.1-1) unstable; urgency=low

  * Imported Upstream version 0.9.1
  * Update watch file

 -- Pierre Chifflier <pollux@debian.org>  Wed, 26 May 2010 23:09:07 +0200

suricata (0.9.0-1) unstable; urgency=low

  * Imported Upstream version 0.9.0
  * Add libcap-ng-dev to build-deps

 -- Pierre Chifflier <pollux@debian.org>  Sun, 09 May 2010 10:43:44 +0200

suricata (0.8.2-1) unstable; urgency=low

  * Imported Upstream version 0.8.2
  * Force selection of external libhtp during build
  * Enable Prelude support
  * Update watch file

 -- Pierre Chifflier <pollux@debian.org>  Sun, 02 May 2010 10:50:05 +0200

suricata (0.8.0-2) unstable; urgency=low

  * Update debian/copyright to include all files

 -- Pierre Chifflier <pollux@debian.org>  Sun, 21 Feb 2010 21:45:33 +0100

suricata (0.8.0-1) unstable; urgency=low

  * Initial release (Closes: #563422)

 -- Pierre Chifflier <pollux@debian.org>  Sat, 30 Jan 2010 18:25:05 +0100
